import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Utils";
import "KragenPlugs.DUInterface";

HuntSetup = class( Turbine.UI.Lotro.Window );

function HuntSetup:Constructor()

	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetVisible(false);
	self:SetSize(420, 530);
	self:SetPosition(520, 100);
	self:SetText("KragenBars Hunter Options");
	
	self.wTitle=Turbine.UI.Label();
	self.wTitle:SetParent(self);
	self.wTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.wTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.wTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.wTitle:SetText("Windows");
	self.wTitle:SetSize(420,20)
	self.wTitle:SetPosition(0, 50);
	self.wTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);

	self.checkbox1=KragenPlugs.DUInterface.CheckBox();
	self.checkbox1:SetParent(self);
	self.checkbox1:SetVisible(true);
	self.checkbox1:SetChecked(true);
	self.checkbox1:SetDisabled(false);
	self.checkbox1:SetPosition(20,80);

	self.checkbox2=KragenPlugs.DUInterface.CheckBox();
	self.checkbox2:SetParent(self);
	self.checkbox2:SetVisible(true);
	self.checkbox2:SetChecked(true);
	self.checkbox2:SetDisabled(false);
	self.checkbox2:SetPosition(20,110);

	self.checkbox3=KragenPlugs.DUInterface.CheckBox();
	self.checkbox3:SetParent(self);
	self.checkbox3:SetVisible(true);
	self.checkbox3:SetChecked(true);
	self.checkbox3:SetDisabled(false);
	self.checkbox3:SetPosition(20,140);

	self.checkbox4=KragenPlugs.DUInterface.CheckBox();
	self.checkbox4:SetParent(self);
	self.checkbox4:SetVisible(true);
	self.checkbox4:SetChecked(true);
	self.checkbox4:SetDisabled(false);
	self.checkbox4:SetPosition(20,170);

	self.checkbox5=KragenPlugs.DUInterface.CheckBox();
	self.checkbox5:SetParent(self);
	self.checkbox5:SetVisible(true);
	self.checkbox5:SetChecked(true);
	self.checkbox5:SetDisabled(false);
	self.checkbox5:SetPosition(20,200);
	
	self.checkbox6=KragenPlugs.DUInterface.CheckBox();
	self.checkbox6:SetParent(self);
	self.checkbox6:SetVisible(true);
	self.checkbox6:SetChecked(true);
	self.checkbox6:SetDisabled(false);
	self.checkbox6:SetPosition(20,230);

	self.checkbox7=KragenPlugs.DUInterface.CheckBox();
	self.checkbox7:SetParent(self);
	self.checkbox7:SetVisible(true);
	self.checkbox7:SetChecked(true);
	self.checkbox7:SetDisabled(false);
	self.checkbox7:SetPosition(20,260);
	
	self.checkbox8=KragenPlugs.DUInterface.CheckBox();
	self.checkbox8:SetParent(self);
	self.checkbox8:SetVisible(true);
	self.checkbox8:SetChecked(true);
	self.checkbox8:SetDisabled(false);
	self.checkbox8:SetPosition(220,80);
	
	self.checkbox9=KragenPlugs.DUInterface.CheckBox();
	self.checkbox9:SetParent(self);
	self.checkbox9:SetVisible(true);
	self.checkbox9:SetChecked(true);
	self.checkbox9:SetDisabled(false);
	self.checkbox9:SetPosition(220,110);
	
	self.checkbox10=KragenPlugs.DUInterface.CheckBox();
	self.checkbox10:SetParent(self);
	self.checkbox10:SetVisible(true);
	self.checkbox10:SetChecked(true);
	self.checkbox10:SetDisabled(false);
	self.checkbox10:SetPosition(220,140);
	
	self.checkbox11=KragenPlugs.DUInterface.CheckBox();
	self.checkbox11:SetParent(self);
	self.checkbox11:SetVisible(true);
	self.checkbox11:SetChecked(true);
	self.checkbox11:SetDisabled(false);
	self.checkbox11:SetPosition(220,170);
	
	self.checkbox12=KragenPlugs.DUInterface.CheckBox();
	self.checkbox12:SetParent(self);
	self.checkbox12:SetVisible(true);
	self.checkbox12:SetChecked(true);
	self.checkbox12:SetDisabled(false);
	self.checkbox12:SetPosition(220,200);
	
	self.checkbox13=KragenPlugs.DUInterface.CheckBox();
	self.checkbox13:SetParent(self);
	self.checkbox13:SetVisible(true);
	self.checkbox13:SetChecked(true);
	self.checkbox13:SetDisabled(false);
	self.checkbox13:SetPosition(220,230);
	
	self.checkbox14=KragenPlugs.DUInterface.CheckBox();
	self.checkbox14:SetParent(self);
	self.checkbox14:SetVisible(true);
	self.checkbox14:SetChecked(true);
	self.checkbox14:SetDisabled(false);
	self.checkbox14:SetPosition(220,260);
	
	self.checkbox15=KragenPlugs.DUInterface.CheckBox();
	self.checkbox15:SetParent(self);
	self.checkbox15:SetVisible(true);
	self.checkbox15:SetChecked(true);
	self.checkbox15:SetDisabled(false);
	self.checkbox15:SetPosition(120,290);
	
	
	self.traitsTitle=Turbine.UI.Label();
	self.traitsTitle:SetParent(self);
	self.traitsTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.traitsTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.traitsTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.traitsTitle:SetText("Traits");
	self.traitsTitle:SetSize(420,20)
	self.traitsTitle:SetPosition(0, 320);
	self.traitsTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);

	self.checkbox16=KragenPlugs.DUInterface.CheckBox();
	self.checkbox16:SetParent(self);
	self.checkbox16:SetVisible(true);
	self.checkbox16:SetChecked(true);
	self.checkbox16:SetDisabled(false);
	self.checkbox16:SetPosition(20,350);
	
	self.checkbox17=KragenPlugs.DUInterface.CheckBox();
	self.checkbox17:SetParent(self);
	self.checkbox17:SetVisible(true);
	self.checkbox17:SetChecked(true);
	self.checkbox17:SetDisabled(false);
	self.checkbox17:SetPosition(20,380);
	
	self.checkbox18=KragenPlugs.DUInterface.CheckBox();
	self.checkbox18:SetParent(self);
	self.checkbox18:SetVisible(true);
	self.checkbox18:SetChecked(true);
	self.checkbox18:SetDisabled(false);
	self.checkbox18:SetPosition(20,410);
	
	self.checkbox19=KragenPlugs.DUInterface.CheckBox();
	self.checkbox19:SetParent(self);
	self.checkbox19:SetVisible(true);
	self.checkbox19:SetChecked(true);
	self.checkbox19:SetDisabled(false);
	self.checkbox19:SetPosition(20,440);
	
	self.checkbox20=KragenPlugs.DUInterface.CheckBox();
	self.checkbox20:SetParent(self);
	self.checkbox20:SetVisible(true);
	self.checkbox20:SetChecked(true);
	self.checkbox20:SetDisabled(false);
	self.checkbox20:SetPosition(20,470);
	
	self.Closing = function(sender,args)
	end

end